package collector

_imagethispage_ {<a href="_httppagecollector_">_iconhcolect_</a>}

# _pagescriptextra_ will be set to the appropriate _***scriptextra_
# macro from within the server
_pagescriptextra_ {}

# this is just like the _gsimage_ macro but it calls the check_submit() javascript
# function instead of linking directly to the page (_1_ argument isn't used)
_gsjimage_ {<a href="javascript:check\_submit('_4_');" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);" target=_top><img
name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_"></a>}
_gsjimage_ [v=1] {<a href="javascript:check\_submit('_4_');" target=_top>_5_</a><br>}

# _gstimage_ is also similar to _gsimage_ but is used where buttons occur in a sub-frame and
# require target=_top
_gstimage_ {<a href="_1_" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);" target="\_top"><img
name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_"></a>}
_gstimage_ [v=1] {<a href="_1_" target="\_top">_5_</a><br>}

# a plain header for those pages that need it (the _pagebanner_ macro
# will be set to this by the server for those pages.
_plainbanner_ {}

# dont want links to "help" or "preferences" pages from within
# collector
_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}


#######################################################################
# icons

_iconcross_ {<img src="_httpimg_/cross.gif">}
_iconcross_ [v=1] {<b>no</b>}
_icontick_ {<img src="_httpimg_/tick.gif">}
_icontick_ [v=1] {<b>yes</b>}
_iconblank_ {<img src="_httpimg_/blank.gif">}
_iconblank_ [v=1] {}

_imagemore_ {<a href="javascript:more()" onMouseover="roll('more',1);" onMouseOut="roll('more',0);"><img
name="more" src="_httpimg_/moreof.gif" onLoad="gbutton(this,'_httpimg_/moreon.gif');" border=0 alt="more"
align=top></a>}
_imagemore_ [v=1] {more}

_iconhcolect_ {<img src="_httpimg_/h_colect.gif" alt="the collector" border=0>}
_icongreyarrow_ {<img src="_httpimg_/grarrow.gif">}
_icongreyuparrow_ {<img src="_httpimg_/guarrow.gif">}
_iconstop_ {<img src="_httpimg_/stop.gif" border=0>}

_icongcinfoof_ {<img src="_httpicongcinfoof_" alt="_textinfo_">}
_icongcinfoon_ {<img src="_httpicongcinfoon_" alt="_textinfo_">}
_iconycinfoof_ {<img src="_httpiconycinfoof_" alt="_textinfo_">}
_iconycinfoon_ {<img src="_httpiconycinfoon_" alt="_textinfo_">}
_iconncinfoof_ {<img src="_httpiconncinfoof_" alt="_textinfo_">}
_textinfo_ {collection information}

_icongcsrceof_ {<img src="_httpicongcsrceof_" alt="_textsrce_">}
_icongcsrceon_ {<img src="_httpicongcsrceon_" alt="_textsrce_">}
_iconycsrceof_ {<img src="_httpiconycsrceof_" alt="_textsrce_">}
_iconycsrceon_ {<img src="_httpiconycsrceon_" alt="_textsrce_">}
_iconncsrceof_ {<img src="_httpiconncsrceof_" alt="_textsrce_">}
_textsrce_ {source data}

_icongcconfof_ {<img src="_httpicongcconfof_" alt="_textconf_">}
_icongcconfon_ {<img src="_httpicongcconfon_" alt="_textconf_">}
_iconycconfof_ {<img src="_httpiconycconfof_" alt="_textconf_">}
_iconycconfon_ {<img src="_httpiconycconfon_" alt="_textconf_">}
_iconncconfof_ {<img src="_httpiconncconfof_" alt="_textconf_">}
_textconf_ {configure collection}

_icongcbildof_ {<img src="_httpicongcbildof_" alt="_textbild_">}
_icongcbildon_ {<img src="_httpicongcbildon_" alt="_textbild_">}
_iconycbildof_ {<img src="_httpiconycbildof_" alt="_textbild_">}
_iconycbildon_ {<img src="_httpiconycbildon_" alt="_textbild_">}
_iconncbildof_ {<img src="_httpiconncbildof_" alt="_textbild_">}
_textbild_ {build}

_icongcviewof_ {<img src="_httpicongcviewof_" alt="_textview_">}
_icongcviewon_ {<img src="_httpicongcviewon_" alt="_textview_">}
_iconycviewof_ {<img src="_httpiconycviewof_" alt="_textview_">}
_iconycviewon_ {<img src="_httpiconycviewon_" alt="_textview_">}
_iconncviewof_ {<img src="_httpiconncviewof_" alt="_textview_">}
_textview_ {view}

_icongcdelof_ {<img src="_httpicongcdelof_" alt="_textdel_">}
_icongcdelon_ {<img src="_httpicongcdelon_" alt="_textdel_">}
_textdel_ {delete collection}

# these buttons fixed width 77x26 fontsize 13 bgcolor #96c19b

_icongcexptof_ {<img src="_httpicongcexptof_" alt="_textexpt_">}
_icongcexpton_ {<img src="_httpicongcexpton_" alt="_textexpt_">}
_textexpt_ {export collection}

#######################################################################
# http macros 

_httpinfo_ {_gwcgi_?e=_compressedoptions_&p=info}
_httpsrce_ {_gwcgi_?e=_compressedoptions_&p=srce}
_httpconf_ {_gwcgi_?e=_compressedoptions_&p=conf}
_httpbild_ {_gwcgi_?e=_compressedoptions_&p=bild}
_httpview_ {_gwcgi_?a=p&p=about&c=_cgiargbc1dirname_}
_httpdel_  {javascript:do\_delete();}
_httpexpt_ {_gwcgi_?e=_compressedoptions_&p=expt}

_httpicongcinfoof_ {_httpimg_/gcinfoof.gif}
_httpicongcinfoon_ {_httpimg_/gcinfoon.gif}
_httpiconycinfoof_ {_httpimg_/ycinfoof.gif}
_httpiconycinfoon_ {_httpimg_/ycinfoon.gif}
_httpiconncinfoof_ {_httpimg_/ncinfoof.gif}

_httpicongcsrceof_ {_httpimg_/gcsrceof.gif}
_httpicongcsrceon_ {_httpimg_/gcsrceon.gif}
_httpiconycsrceof_ {_httpimg_/ycsrceof.gif}
_httpiconycsrceon_ {_httpimg_/ycsrceon.gif}
_httpiconncsrceof_ {_httpimg_/ncsrceof.gif}

_httpicongcconfof_ {_httpimg_/gcconfof.gif}
_httpicongcconfon_ {_httpimg_/gcconfon.gif}
_httpiconycconfof_ {_httpimg_/ycconfof.gif}
_httpiconycconfon_ {_httpimg_/ycconfon.gif}
_httpiconncconfof_ {_httpimg_/ncconfof.gif}

_httpicongcbildof_ {_httpimg_/gcbildof.gif}
_httpicongcbildon_ {_httpimg_/gcbildon.gif}
_httpiconycbildof_ {_httpimg_/ycbildof.gif}
_httpiconycbildon_ {_httpimg_/ycbildon.gif}
_httpiconncbildof_ {_httpimg_/ncbildof.gif}

_httpicongcviewof_ {_httpimg_/gcviewof.gif}
_httpicongcviewon_ {_httpimg_/gcviewon.gif}
_httpiconycviewof_ {_httpimg_/ycviewof.gif}
_httpiconycviewon_ {_httpimg_/ycviewon.gif}
_httpiconncviewof_ {_httpimg_/ncviewof.gif}

_httpicongcdelof_ {_httpimg_/gcdelof.gif}
_httpicongcdelon_ {_httpimg_/gcdelon.gif}

_httpicongcexptof_ {_httpimg_/gcexptof.gif}
_httpicongcexpton_ {_httpimg_/gcexpton.gif}


#######################################################################
# intro
#######################################################################

_introscriptextra_ {}

_introcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>The Collector</h2>
<p><i>The pen is mightier than the sword!
<br>Building and distributing information collections carries responsibilities
that you may want to reflect on before you begin.
There are legal issues of copyright: being able to access documents doesn't
mean you can necessarily give them to others.
There are social issues:  collections should respect the customs of the
community out of which the documents arise.
And there are ethical issues: some things simply should not be made 
available to others.
<br>Be sensitive to the power of information and use it wisely.
</i>
</center>
<p>_iconblankbar_

<p>The Collector helps you to create new collections, modify or add to
existing ones, or delete collections.  To do this you will be guided through a
sequence of Web pages which request the information that is needed.

<p>First, you must decide whether to
<ul>
<input type=radio name=p value=new checked>
create a new collection 
<br>
<input type=radio name=p value=existing>
work with an existing one, adding data to it or deleting it.
</ul>
<p>_iconblankbar_

<p>In order to build or modify digital library collections you must sign in.
This is to protect you from others logging in to your computer and altering the
information on it.  Note: for security reasons you will be automatically logged
out once a 30 minute period has elapsed since you logged in.  If this happens,
don't worry! -- you will be invited to log in again and can continue from where
you left off.

<p>Please enter your Greenstone username and password, and click the button to sign in.

<table><tr><td width=80>Name:</td>
<td><input type="text" name="un" value="" size=10></td>
<td></td></tr>
<tr><td>Password:</td>
<td><input type="password" name="pw" size=10></td>
<td><input type="submit" value="sign in"></td>
</tr>
</table>
<p>_iconblankbar_
</td></tr>
</table></center>

</form>
}


#######################################################################
# existing (Changing an existing collection page)
#######################################################################

_existingscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  if (gotopage == "srce") \{
    form.bc1esrce.value = "1";
  \}
  if (gotopage == "conf") \{
    form.bc1econf.value = "1";
  \}
  form.p.value = gotopage;
  form.submit();
\}

function do\_delete () \{
  var form = document.collectorform;  
  var i = form.bc1dirname.selectedIndex;
  var del = confirm ("Confirm deletion of " + form.bc1dirname.options[i].value + " collection?");
  if (del) \{
    form.bc1dodelete.value = "1";
    form.submit();
  \}
\}
}

_changeexisting_ {
<p>First select the collection that you want to work with (write protected
collections won't appear in this list).
<br>_fullnamemenu_<br>
<p>With the collection you have selected, you can

<table cellspacing=6>
<tr><td width=20 align=right valign=bottom>1.</td>
<td valign=bottom>_gsjimage_( ,_collector:httpicongcsrceof_,_collector:httpicongcsrceon_,srce,_collector:textsrce_)</td>
<td valign=bottom>Add more data and rebuild the collection</td></tr>
<tr><td align=right valign=bottom>2.</td>
<td valign=bottom>_gsjimage_(_,_collector:httpicongcconfof_,_collector:httpicongcconfon_,conf,_collector:textconf_)</td>
<td valign=bottom>Edit the collection configuration file and rebuild the collection</td></tr>
<tr><td align=right valign=bottom>3.</td>
<td valign=bottom>_gsimage_(_collector:httpdel_,_collector:httpicongcdelof_,_collector:httpicongcdelon_,del,_collector:textdel_)</td>
<td valign=bottom>Delete the collection entirely</td></tr>
<tr><td align=right valign=bottom>4.</td>
<td valign=bottom>_gsjimage_( ,_collector:httpicongcexptof_,_collector:httpicongcexpton_,expt,_collector:textexpt_)</td>
<td valign=bottom>Export the collection for writing to a self-installing Windows CD-ROM</td></tr>
</table>
}

_existingcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="_cgiargp_">
<input type=hidden name="bc1dodelete" value="0">
<input type=hidden name="bc1esrce" value="0">
<input type=hidden name="bc1econf" value="0">
<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center><h2>Changing an existing collection</h2></center>
_iconblankbar_
_If_("_fullnamemenu_" eq "",<p>No write-enabled collections are available for modifying,_changeexisting_)
<p>_iconblankbar_
</td></tr>
</table></center>
</form>
}


#######################################################################
# new (Create a new collection page)
#######################################################################

_newscriptextra_ {}

_newcontent_ {
<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center><h2>Creating a new collection</h2></center>
_iconblankbar_

<p>The sequence of steps needed to create a new digital library collection is:
<table cellspacing=6>
<tr><td width=20 align=right valign=bottom>1.</td>
    <td valign=bottom>_iconncinfoof_</td>
    <td valign=bottom>Specify its name (and associated information)</td></tr>
<tr><td align=right valign=bottom>2.</td>
    <td valign=bottom>_iconncsrceof_</td>
    <td valign=bottom>Specify where the source data comes from</td></tr>
<tr><td align=right valign=bottom>3.</td>
    <td valign=bottom>_iconncconfof_</td>
    <td valign=bottom>Adjust the configuration options (advanced users only)</td></tr>
<tr><td align=right valign=bottom>4.</td>
    <td valign=bottom>_iconncbildof_</td>
    <td valign=bottom>"Build" the collection (see below)</td></tr>
<tr><td align=right valign=bottom>5.</td>
    <td valign=bottom>_iconncviewof_</td>
    <td valign=bottom>Proudly view your handiwork.</td></tr>
</table>

<p>The fourth step is where the computer does all the work.  In the "building"
process the computer makes all the indexes and gathers together any other
information that is required to make things work.  But first you have to
specify the information. 

<p>_iconblankbar_

<p>A diagram appears below that will help you keep track of where you are.  The
green button is the one that you click to carry on in the sequence.  As you go
through the sequence, the buttons will change to yellow.  You can return to a
previous page by clicking on the corresponding yellow button in the diagram.

<p>When you are ready, click the green "collection information" button to
begin creating your new digital library collection!

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# info (Collection information page)
#######################################################################

_infoscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  if (form.bc1fullname.value.match(/^\\s*$/))
  \{
    alert("Collection name must be specified");
    form.bc1fullname.focus();
    return;
  \}
  else if (form.bc1contactemail.value.match(/^\\s*$/))
  \{     
    alert("Email address must be specified");
    form.bc1contactemail.focus();
    return;
  \}
  else if (!form.bc1contactemail.value.match(/^([^@]+)@(.+)$/))
  \{
    alert("Please specify email address in the form: usename@domain");
    form.bc1contactemail.focus();
    return;
  \}
  else if (form.bc1aboutdesc.value.match(/^\\s*$/))
  \{
    alert("Description of collection must be specified");
    form.bc1aboutdesc.focus();
    return;
  \}
  form.p.value = gotopage;
  form.submit();
\}
}

_infocontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="_cgiargp_">
<input type=hidden name="bc1infochanged" value="0">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Collection information</h2>
</center>
<p>_iconblankbar_

<p>When creating a new collection you need to enter some preliminary
information about the source data.  This process is structured as a series
of Web pages, overseen by The Collector.  The bar at the bottom of the page
shows you the sequence of pages to be completed.  

<h4>Title for collection:</h4>
<input type="text" name="bc1fullname" value="_cgiargbc1fullname_"
onChange="document.collectorform.bc1infochanged.value=1;") size=72>
<br>
The collection title is a short phrase used throughout the digital library to
identify the content of the collection.  Example titles
include &quot;Computer Science Technical Reports&quot; and &quot;Humanity
Development Library.&quot;

<h4>Contact email address:</h4>
<input type="text" name="bc1contactemail" value="_cgiargbc1contactemail_"
onChange="document.collectorform.bc1infochanged.value=1;" size=72>
<br>
This email address specifies the first point of contact for the collection.
If the Greenstone software detects a problem, a diagnostic report is
sent to this address.  Enter an email address in its full form:
<tt>name@domain</tt>.

<h4>About this collection:</h4>
<textarea name="bc1aboutdesc"  cols=72 rows=6 wrap=physical
onChange="document.collectorform.bc1infochanged.value=1;">
_cgiargbc1aboutdesc_
</textarea>
<br>
This is statement describing the principles governing what is included in the
collection.  It appears on the first page when the collection is presented.

<p>_iconblankbar_

<p>Your position in the sequence is indicated by an arrow underneath--in this
case, the "collection information" stage.  To proceed, click the green "source
data" button.

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>

</form>
}


#######################################################################
# srce (Source data page)
#######################################################################

# _fullnamemenu is set from within the server. If it's empty there are
# no valid collections 
_fullnamemenu_ {}

_srcescriptextra_ {
var selectedindex = _selectedindex_;

function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.p.value = gotopage;
  form.bc1fromsrce.value = "1";
  form.submit();
\}

function menuchange () \{
  var form = document.collectorform;
  var warnlist = new Array (_warnindex_);

  if (warnlist[form.bc1clonecol.selectedIndex] == 1) \{
    alert ("The collection you are cloning has a non-standard input file\\n" +
           "format, and/or uses metadata specified in auxiliary files.  If your\\n" +
	   "new input lacks this information, some browsing facilities may not\\n" +
           "work properly.");
  \}

  if (form.bc1clonecol.selectedIndex == 0) \{
    form.bc1clone.value = "0";
  \} else \{
    form.bc1clone.value = "1";
  \}

  if (form.bc1clonecol.selectedIndex == selectedindex) \{
    form.bc1clonechanged.value = "0";
  \} else \{
    form.bc1clonechanged.value = "1";
  \}
\}

function more () \{
  var form = document.collectorform;
  form.bc1inputnum.value = parseInt(form.bc1inputnum.value) + 3;
  form.p.value = "srce";
  if (!form.action.match(/sources$/)) \{
    form.action += "#sources";
  \}
  form.submit();
\}
}

_srcenew_ {
<center>
<h2>Source data</h2>
</center>
<p>_iconblankbar_
_If_("_badsources_" eq "1",_srcebadsources_,_srcenewcontent_)
}

_srcebadsources_ {
<p>One or more of the input sources you specified is unavailable (marked
_iconcross_ below).

<p>This might be because
<ul>
<li>The file, FTP site or URL does not exist.
<li>You need to dial up your ISP first.
<li>You are trying to access a URL from behind a firewall (this is the case
if you normally have to present a username and password to access the
internet).
</ul>

<p>If this is a URL that you can see in your browser, it may be coming from
a locally cached copy. Unfortunately, locally cached copies are invisible
to our mirroring process. In this case we recommend that you download the
pages using your browser first.
}

_srcenewcontent_ {
<p>You may base your collection on either
<ul>
<li>The default structure
<dl><dd>The new collection may contain html documents (.htm, .html), plain text
documents (.txt, .text), MS Word documents (.doc), PDF documents (.pdf) or
email documents (.email).</dd></dl>
<li>An existing collection
<dl><dd>The files in your new collection must be exactly the same type as those
used to build the existing one.</dd></dl>
</ul>

<p>Base the collection on
_fullnamemenu_
<p>_iconblankbar_
}

_srceappend_ {
<center>
<h2>Add new data</h2>
</center>
<p>_iconblankbar_
<h4>Adding data:</h4>
The files that you specify below will be added to the collection. Make sure
that you do not re-specify files that are already in the collection:
otherwise two copies will be included. Files are identified by their full
pathname, Web pages by their absolute Web address.
}

_srcecontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="_cgiargp_">
<input type=hidden name="bc1fromsrce" value="0">
<input type=hidden name="bc1clonechanged" value="0">
<input type=hidden name="bc1clone" value="_cgiargbc1clone_">
<input type=hidden name="bc1inputnum" value="_cgiargbc1inputnum_">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
_If_("_cgiargbc1esrce_" eq "1",_srceappend_,_srcenew_)

<a name=sources>
<h4>Input sources:</h4>
_sourcelist_

<p>If you use file:// or ftp:// to specify a file, that file will be
downloaded.

<p>If you use http:// it depends on whether the URL gives you a normal web
page in your browser, or a list of files.  If a page, that page will be
downloaded -- and so will all pages it links to, and all pages they link
to, etc. -- provided they reside on the same site, below the URL.

<p>If you use file:// or ftp:// to specify a folder or directory, or give a
http:// URL that leads to a list of files, everything in the folder and all
its sub-folders will be included in the collection.

<p>Click the &quot;more sources&quot; button to get more input boxes.

<p>_iconblankbar_
<p>Click one of the green buttons. If you are an advanced user you may want
to adjust the collection configuration. Alternatively, go straight to the
building stage. Remember, you can always revisit an earlier stage by
clicking its yellow button.

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>

</form>
}


#######################################################################
# conf (Configure collection page)
#######################################################################

_confscriptextra_ {
var changed = 0;

function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.bc1cfgchanged.value = changed;
  form.p.value = gotopage;
  form.submit();
\}

function reset\_button () \{
  document.collectorform.reset();
  changed = 0;
\}
}

_confcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="_cgiargp_">
<input type=hidden name="bc1cfgchanged" value="_cgiargbc1cfgchanged_">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Configure collection</h2>
</center>
<p>_iconblankbar_

<p>The building and presentation of your collection are controlled by
specifications in a special "configuration file".  Advanced users may want
to alter the configuration settings.

<center><p><b>If you are not an advanced user, just go to the bottom of the
page.</b></center> 

<p>To alter the configuration settings, edit the data that appears below.
If you make a mistake, click on &quot;Reset&quot; to reinstate the
original configuration settings.

<p><textarea name="cfgfile" cols=72 rows=18 wrap=off onChange="changed=1;">
_cfgfile_
</textarea>
<table><tr valign=top>
<td><a href="javascript:reset\_button();">_iconstop_</a></td>
<td><a href="javascript:reset\_button();">Reset</a></td>
</tr></table>

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>

</form>
}


#######################################################################
# bild (main frameset for build page)
#######################################################################

_bildcontent_ {
<html>
<head>
<script>
<!--
function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.p.value = gotopage;
  form.submit();
\}
// -->
</script>
</head>

<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="_cgiargp_">

<frameset rows="*,160" border=0>
  <noframes><body bgcolor="#ffffff">
  <p>You must have a frame enabled browser to obtain feedback
  on how the building process is progressing. The collection <i>will</i>
  continue to build as normal however.

  <table>
  <tr valign=center><td>
  To stop the building process at any time, click here.
  <br>The collection you are working on will remain intact.
  </td>
  <td><input type="submit" value="stop building"></td>
  </table>

  </body>
  </noframes>
  <frame src="_gwcgi_?e=_compressedoptions_&p=bildframe1">
  <frame src="_gwcgi_?e=_compressedoptions_&p=bildstatus">
</frameset>
</html>
}

#######################################################################
# bildframe1
#######################################################################

# header overridden to allow base target to be set
# also no page banner to maximise what we can fit in the frame without scrolling
_bildframe1header_ {_cgihead_
<html>
<head>
<base target=_top>
<title>_pagetitle_</title>
_globalscripts_
</head>
<body bgcolor="\#ffffff" text="\#000000" link="\#006666" 
      alink="\#cc9900" vlink="\#666633" background="_httpiconchalk_">
_startspacer_
}
_bildframe1header_[v=1] {_cgihead_
<html>
<head>
<base target=_top>
<title>_pagetitle_</title>
_globalscripts_
</head>
<body bgcolor="\#ffffff" text="\#000000" link="\#006666" 
      alink="\#cc9900" vlink="\#666633" background="_httpiconchalk_">
}
_bildframe1scriptextra_ {}
_bildframe1content_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="bildcancel">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Build</h2>
</center>
<p>_iconblankbar_
<p>
The collection is now being built: this might take some time. The building
status line below gives feedback on how the operation is progressing.
<p>

<table>
<tr valign=center><td>
To stop the building process at any time, click here.
<br>The collection you are working on will remain intact.
</td>
<td><input type="submit" value="stop building"></td>
</table>

<p>
If you leave this page (and have not cancelled the building process with
the "stop building" button) the collection will continue to build and will
be installed upon successful completion.
</td></tr>
</table></center>
</form>
}


#######################################################################
# bildcancel
#######################################################################

_bildcancelscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.p.value = gotopage;
  form.submit();
\}
}
_bildcancelcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="_cgiargp_">

</form>
<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Build cancelled</h2>
</center>
<p>_iconblankbar_
<p>
The collection building process was cancelled. Use the yellow buttons below
to make changes to your collection or restart the building process.
<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# bildstatus
#######################################################################

# special header for status page
_bildstatusheader_ {_cgihead_
<html>
<head>
<title>_pagetitle_</title>
_globalscripts_
</head>
<body bgcolor="\#90C098" text="\#000000" onLoad="initialize();">
_startspacer_
}
_bildstatusheader_[v=1] {_cgihead_
<html>
<head>
<title>_pagetitle_</title>
_globalscripts_
</head>
<body bgcolor="\#00ff00" text="\#000000" onLoad="initialize();">
}

_bildstatusscriptextra_ {
var timer = 5;
function initialize() \{
  setTimeout("count_down()",1000);
\}

function count_down() \{
  if (timer==0) \{
    window.status = "";
    document.collectorform.submit();
  \} else \{
    window.status = "Building status update in  "+timer+" seconds";
    timer--;
    setTimeout("count_down()",1000);
  \}	
\}
}

_bildstatuscontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">

<center>
<table width=_pagewidth_>
<tr><td>
_statusline_
</td></tr>
</table></center>
</form>
}


#######################################################################
# bilddone
#######################################################################

_bilddoneheader_ {_cgihead_
_htmlhead_(background="_httpiconchalk_")_startspacer_
}
_bilddonescriptextra_ {}
_bilddonecontent_ {
<center>
<table width=_pagewidth_>
<tr><td>
<p>Collection built successfully.

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# bildfail
#######################################################################

_bildfailheader_ {_cgihead_
_htmlhead_(background="_httpiconchalk_")_startspacer_
}
_bildfailscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.p.value = gotopage;
  form.submit();
\}
}
_bildfailcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="p" value="_cgiargp_">

</form>
<center>
<table width=_pagewidth_>
<tr><td>
<p>An error has occurred while attempting to build your collection.
<br> The build log contains the following:
<p>_faillog_

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# expt
#######################################################################

_exptscriptextra_ {}
_exptcontent_ {Sorry, this facility has not yet been implemented}


#######################################################################
# Error and message pages
#######################################################################

_messagehead_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
}

_messagefoot_ {
<p>
<a href="javascript:document.collectorform.submit();">Return to the collector</a>
<p>_iconblankbar_
</td></tr>
</table></center>
</form>
}

_messagefootnolink_ {
<p>_iconblankbar_
</td></tr>
</table></center>
</form>
}

_delpermissioncontent_ {
_messagehead_
<p>
Some or all of the _cgiargbc1dirname_ collection could not be
deleted. Possible causes are:
<ul>
<li> Greenstone does not have permission to delete the _gsdlhome_/collect/_cgiargbc1dirname_
directory.<br>
You may need to remove this directory manually to complete the removal of the _cgiargbc1dirname_
collection from this computer.
</ul>
_messagefoot_
}

_delinvalidcontent_ {
_messagehead_
<p>
The _cgiargbc1dirname_ collection is protected or invalid. Deletion was cancelled.
_messagefoot_
}

_delsuccesscontent_ {
_messagehead_
<p>
The _cgiargbc1dirname_ collection was successfully deleted.
_messagefoot_
}

_clonefailcontent_ {
_messagehead_
<input type=hidden name="bc1clone" value="0">
<p>
The _cgiargclonecol_ collection cound not be cloned. Possible causes are:
<ul>
<li> The _cgiargclonecol_ collection doesn't exist
<li> The _cgiargclonecol_ collection has no collect.cfg configuration file
<li> Greenstone does not have permission to read the collect.cfg configuration file
_messagefoot_
}

_genericcontent_ {
_messagehead_
<p>
Collector error.
_messagefoot_
}

_tmpfailcontent_ {
_messagehead_
<p>
The collector failed to read from or write to a temporary file or
directory. Possible causes are:
<ul>
<li> Greenstone does not have read/write access to the _gsdlhome_/tmp
     directory.
</ul>
_messagefoot_
}

_mkcolfailcontent_ {
_messagehead_
<p>

The collector failed to create the directory structure required by the new
collection (mkcol.pl failed). Possible causes are:
<ul>
<li> Greenstone does not have permission to write to the _gsdlhome_/tmp
     directory.
<li> mkcol.pl perl script errors.
</ul>
_messagefoot_
}

_nocollectioncontent_ {
_messagehead_
<p>
Collector error: no collection name was provided for the new collection. Try 
restarting the Collector from the beginning.
<br><a href="_httppagecollector_">Restart the Collector</a>
<p>
_messagefootnolink_
}

_reloaderrorcontent_ {
_messagehead_
<p>
An error occurred while creating the new collection. This may have been due
to Greenstone getting confused by the use of your browser's "reload" or
"back" buttons (please try to avoid using these buttons while creating a
collection with the Collector).  It is recommended that you restart the
Collector from the beginning.
<br><a href="_httppagecollector_">Restart the Collector</a>
<p>
_messagefootnolink_
}

_installfailcontent_ {
_messagehead_
<p>

The collector failed to install your new collection correctly. 
Possible causes are:
<ul>
<li> Greenstone does not have permission to write to the _gsdlhome_/collect
     directory.
<li> A _cgiargbc1dirname_ collection already exists in the _gsdlhome_/collect
     directory.
</ul>
_messagefoot_
}

_exptsuccesscontent_ {
_messagehead_
<input type=hidden name=p value=existing>
<p>

The _cgiargbc1dirname_ collection was successfully exported to the
_gsdlhome_/tmp/exported\__cgiargbc1dirname_ directory.

_messagefoot_
}

_exptfailcontent_ {
_messagehead_
<input type=hidden name=p value=existing>
<p>

Failed to export the _cgiargbc1dirname_ collection.

_messagefoot_
}
